package com.autonavi.amap.mapcore.interfaces;

package ..deTemp.1734248434692;

import android.location.Location;
import android.os.Handler;
import android.os.RemoteException;
import android.util.Pair;
import android.view.MotionEvent;
import android.view.View;
import com.amap.api.col.3sl.eq;
import com.amap.api.col.3sl.er;
import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdate;
import com.amap.api.maps.CustomRenderer;
import com.amap.api.maps.InfoWindowAnimationManager;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.Projection;
import com.amap.api.maps.UiSettings;
import com.amap.api.maps.model.AMapCameraInfo;
import com.amap.api.maps.model.AMapGestureListener;
import com.amap.api.maps.model.Arc;
import com.amap.api.maps.model.ArcOptions;
import com.amap.api.maps.model.BuildingOverlay;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.Circle;
import com.amap.api.maps.model.CircleOptions;
import com.amap.api.maps.model.CrossOverlay;
import com.amap.api.maps.model.CrossOverlayOptions;
import com.amap.api.maps.model.CustomMapStyleOptions;
import com.amap.api.maps.model.GL3DModel;
import com.amap.api.maps.model.GL3DModelOptions;
import com.amap.api.maps.model.GLTFOverlay;
import com.amap.api.maps.model.GLTFOverlayOptions;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.HeatMapGridLayer;
import com.amap.api.maps.model.HeatMapGridLayerOptions;
import com.amap.api.maps.model.HeatMapLayer;
import com.amap.api.maps.model.HeatMapLayerOptions;
import com.amap.api.maps.model.IndoorBuildingInfo;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.MVTTileOverlay;
import com.amap.api.maps.model.MVTTileOverlayOptions;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MultiPointOverlay;
import com.amap.api.maps.model.MultiPointOverlayOptions;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.maps.model.MyTrafficStyle;
import com.amap.api.maps.model.NavigateArrow;
import com.amap.api.maps.model.NavigateArrowOptions;
import com.amap.api.maps.model.PoiFilter;
import com.amap.api.maps.model.Polygon;
import com.amap.api.maps.model.PolygonOptions;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.amap.api.maps.model.RouteOverlay;
import com.amap.api.maps.model.Text;
import com.amap.api.maps.model.TextOptions;
import com.amap.api.maps.model.TileOverlay;
import com.amap.api.maps.model.TileOverlayOptions;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlay;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlayOptions;
import com.amap.api.maps.model.particle.ParticleOverlay;
import com.amap.api.maps.model.particle.ParticleOverlayOptions;
import com.autonavi.amap.api.mapcore.IGLMapState;
import com.autonavi.amap.mapcore.DPoint;
import java.util.ArrayList;
import java.util.List;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

public interface IAMap {
  CameraPosition getCameraPosition() throws RemoteException;
  
  float getMaxZoomLevel();
  
  float getMinZoomLevel();
  
  void moveCamera(CameraUpdate paramCameraUpdate) throws RemoteException;
  
  void animateCamera(CameraUpdate paramCameraUpdate) throws RemoteException;
  
  void animateCameraWithCallback(CameraUpdate paramCameraUpdate, AMap.CancelableCallback paramCancelableCallback) throws RemoteException;
  
  void animateCameraWithDurationAndCallback(CameraUpdate paramCameraUpdate, long paramLong, AMap.CancelableCallback paramCancelableCallback) throws RemoteException;
  
  void stopAnimation() throws RemoteException;
  
  NavigateArrow addNavigateArrow(NavigateArrowOptions paramNavigateArrowOptions) throws RemoteException;
  
  Polyline addPolyline(PolylineOptions paramPolylineOptions) throws RemoteException;
  
  Circle addCircle(CircleOptions paramCircleOptions) throws RemoteException;
  
  Arc addArc(ArcOptions paramArcOptions) throws RemoteException;
  
  Polygon addPolygon(PolygonOptions paramPolygonOptions) throws RemoteException;
  
  GroundOverlay addGroundOverlay(GroundOverlayOptions paramGroundOverlayOptions) throws RemoteException;
  
  MultiPointOverlay addMultiPointOverlay(MultiPointOverlayOptions paramMultiPointOverlayOptions) throws RemoteException;
  
  GLTFOverlay addGLTFOverlay(GLTFOverlayOptions paramGLTFOverlayOptions) throws RemoteException;
  
  AMap3DModelTileOverlay add3DModelTileOverlay(AMap3DModelTileOverlayOptions paramAMap3DModelTileOverlayOptions) throws RemoteException;
  
  er addContourLineOverlay(eq parameq);
  
  ArrayList<Marker> addMarkers(ArrayList<MarkerOptions> paramArrayList, boolean paramBoolean) throws RemoteException;
  
  Text addText(TextOptions paramTextOptions) throws RemoteException;
  
  TileOverlay addTileOverlay(TileOverlayOptions paramTileOverlayOptions) throws RemoteException;
  
  MVTTileOverlay addMVTTileOverlay(MVTTileOverlayOptions paramMVTTileOverlayOptions) throws RemoteException;
  
  HeatMapLayer addHeatMapLayer(HeatMapLayerOptions paramHeatMapLayerOptions) throws RemoteException;
  
  HeatMapGridLayer addHeatMapGridLayer(HeatMapGridLayerOptions paramHeatMapGridLayerOptions) throws RemoteException;
  
  Marker addMarker(MarkerOptions paramMarkerOptions) throws RemoteException;
  
  void clear() throws RemoteException;
  
  void clear(boolean paramBoolean) throws RemoteException;
  
  int getMapType() throws RemoteException;
  
  void setMapType(int paramInt) throws RemoteException;
  
  boolean isTrafficEnabled() throws RemoteException;
  
  void setTrafficEnabled(boolean paramBoolean) throws RemoteException;
  
  boolean isIndoorEnabled() throws RemoteException;
  
  void setIndoorEnabled(boolean paramBoolean) throws RemoteException;
  
  void set3DBuildingEnabled(boolean paramBoolean) throws RemoteException;
  
  boolean isMyLocationEnabled() throws RemoteException;
  
  void setMyLocationEnabled(boolean paramBoolean) throws RemoteException;
  
  void setLoadOfflineData(boolean paramBoolean) throws RemoteException;
  
  void setMyLocationStyle(MyLocationStyle paramMyLocationStyle) throws RemoteException;
  
  void setMyLocationType(int paramInt) throws RemoteException;
  
  List<Marker> getMapScreenMarkers() throws RemoteException;
  
  void setMapTextEnable(boolean paramBoolean) throws RemoteException;
  
  void setRoadArrowEnable(boolean paramBoolean) throws RemoteException;
  
  void setNaviLabelEnable(boolean paramBoolean, int paramInt1, int paramInt2) throws RemoteException;
  
  void setConstructingRoadEnable(boolean paramBoolean) throws RemoteException;
  
  void setTrafficStyleWithTexture(byte[] paramArrayOfbyte, MyTrafficStyle paramMyTrafficStyle);
  
  void setTrafficStyleWithTextureData(byte[] paramArrayOfbyte);
  
  Location getMyLocation() throws RemoteException;
  
  void setLocationSource(LocationSource paramLocationSource) throws RemoteException;
  
  void setMyLocationRotateAngle(float paramFloat) throws RemoteException;
  
  UiSettings getAMapUiSettings() throws RemoteException;
  
  Projection getAMapProjection() throws RemoteException;
  
  void setOnCameraChangeListener(AMap.OnCameraChangeListener paramOnCameraChangeListener) throws RemoteException;
  
  void setOnMapClickListener(AMap.OnMapClickListener paramOnMapClickListener) throws RemoteException;
  
  void setOnMapTouchListener(AMap.OnMapTouchListener paramOnMapTouchListener) throws RemoteException;
  
  void setOnMapLongClickListener(AMap.OnMapLongClickListener paramOnMapLongClickListener) throws RemoteException;
  
  void setOnMarkerClickListener(AMap.OnMarkerClickListener paramOnMarkerClickListener) throws RemoteException;
  
  void setOnPolylineClickListener(AMap.OnPolylineClickListener paramOnPolylineClickListener) throws RemoteException;
  
  void setOnMarkerDragListener(AMap.OnMarkerDragListener paramOnMarkerDragListener) throws RemoteException;
  
  void setOnMaploadedListener(AMap.OnMapLoadedListener paramOnMapLoadedListener) throws RemoteException;
  
  void setOnInfoWindowClickListener(AMap.OnInfoWindowClickListener paramOnInfoWindowClickListener) throws RemoteException;
  
  void setOnMyLocationChangeListener(AMap.OnMyLocationChangeListener paramOnMyLocationChangeListener) throws RemoteException;
  
  void setOnPOIClickListener(AMap.OnPOIClickListener paramOnPOIClickListener) throws RemoteException;
  
  void setInfoWindowAdapter(AMap.InfoWindowAdapter paramInfoWindowAdapter) throws RemoteException;
  
  void setInfoWindowAdapter(AMap.CommonInfoWindowAdapter paramCommonInfoWindowAdapter) throws RemoteException;
  
  void setOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) throws RemoteException;
  
  void getMapPrintScreen(AMap.onMapPrintScreenListener paramonMapPrintScreenListener);
  
  void getMapScreenShot(AMap.OnMapScreenShotListener paramOnMapScreenShotListener, boolean paramBoolean);
  
  float getScalePerPixel() throws RemoteException;
  
  void setRunLowFrame(boolean paramBoolean);
  
  void removecache() throws RemoteException;
  
  void removecache(AMap.OnCacheRemoveListener paramOnCacheRemoveListener) throws RemoteException;
  
  void setCustomRenderer(CustomRenderer paramCustomRenderer) throws RemoteException;
  
  void setCenterToPixel(int paramInt1, int paramInt2) throws RemoteException;
  
  void setMapTextZIndex(int paramInt) throws RemoteException;
  
  int getMapTextZIndex() throws RemoteException;
  
  void reloadMap();
  
  void setRenderFps(int paramInt);
  
  void setIndoorBuildingInfo(IndoorBuildingInfo paramIndoorBuildingInfo) throws RemoteException;
  
  void setAMapGestureListener(AMapGestureListener paramAMapGestureListener);
  
  float getZoomToSpanLevel(LatLng paramLatLng1, LatLng paramLatLng2);
  
  Pair<Float, LatLng> calculateZoomToSpanLevel(int paramInt1, int paramInt2, int paramInt3, int paramInt4, LatLng paramLatLng1, LatLng paramLatLng2);
  
  InfoWindowAnimationManager getInfoWindowAnimationManager();
  
  void setMaskLayerParams(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, long paramLong);
  
  void setMaxZoomLevel(float paramFloat);
  
  void setMinZoomLevel(float paramFloat);
  
  void resetMinMaxZoomPreference();
  
  void setMapStatusLimits(LatLngBounds paramLatLngBounds);
  
  void setCustomMapStylePath(String paramString);
  
  void setMapCustomEnable(boolean paramBoolean);
  
  Handler getMainHandler();
  
  void onChangeFinish();
  
  void setZoomScaleParam(float paramFloat);
  
  void onFling();
  
  int getMapWidth();
  
  int getMapHeight();
  
  float getCameraAngle();
  
  float getSkyHeight();
  
  boolean isMaploaded();
  
  int getSX();
  
  int getSY();
  
  View getView() throws RemoteException;
  
  void setZOrderOnTop(boolean paramBoolean) throws RemoteException;
  
  void destroy();
  
  void setVisibilityEx(int paramInt);
  
  void onActivityPause();
  
  void onActivityResume();
  
  void queueEvent(Runnable paramRunnable);
  
  long createGLOverlay(int paramInt);
  
  long getGlOverlayMgrPtr();
  
  CrossOverlay addCrossVector(CrossOverlayOptions paramCrossOverlayOptions);
  
  RouteOverlay addNaviRouteOverlay();
  
  float[] getViewMatrix();
  
  float[] getProjectionMatrix();
  
  void renderSurface(GL10 paramGL10);
  
  void changeSurface(GL10 paramGL10, int paramInt1, int paramInt2);
  
  void createSurface(GL10 paramGL10, EGLConfig paramEGLConfig);
  
  boolean onTouchEvent(MotionEvent paramMotionEvent);
  
  boolean canStopMapRender();
  
  void setCustomTextureResourcePath(String paramString);
  
  MyLocationStyle getMyLocationStyle() throws RemoteException;
  
  int getRenderMode();
  
  void destroySurface(int paramInt);
  
  void drawFrame(GL10 paramGL10);
  
  void requestRender();
  
  void resetRenderTime();
  
  void onIndoorBuildingActivity(int paramInt, byte[] paramArrayOfbyte);
  
  AMapCameraInfo getCamerInfo();
  
  void checkMapState(IGLMapState paramIGLMapState);
  
  void setRenderMode(int paramInt);
  
  void setOnMultiPointClickListener(AMap.OnMultiPointClickListener paramOnMultiPointClickListener);
  
  String getMapContentApprovalNumber();
  
  String getSatelliteImageApprovalNumber();
  
  String getTerrainApprovalNumber();
  
  void setMapLanguage(String paramString);
  
  void setWorldVectorMapStyle(String paramString);
  
  String getWorldVectorMapStyle();
  
  String getCurrentWorldVectorMapStyle();
  
  void accelerateNetworkInChinese(boolean paramBoolean);
  
  String getWorldVectorMapLanguage();
  
  void setCustomMapStyleID(String paramString);
  
  BuildingOverlay addBuildingOverlay();
  
  GL3DModel addGLModel(GL3DModelOptions paramGL3DModelOptions);
  
  ParticleOverlay addParticleOverlay(ParticleOverlayOptions paramParticleOverlayOptions);
  
  void setCustomMapStyle(CustomMapStyleOptions paramCustomMapStyleOptions);
  
  void getLatLngRect(DPoint[] paramArrayOfDPoint);
  
  void setTouchPoiEnable(boolean paramBoolean);
  
  boolean isTouchPoiEnable();
  
  void loadWorldVectorMap(boolean paramBoolean);
  
  long getNativeMapController();
  
  int getNativeEngineID();
  
  void addOnCameraChangeListener(AMap.OnCameraChangeListener paramOnCameraChangeListener) throws RemoteException;
  
  void addOnMapClickListener(AMap.OnMapClickListener paramOnMapClickListener) throws RemoteException;
  
  void addOnMarkerDragListener(AMap.OnMarkerDragListener paramOnMarkerDragListener) throws RemoteException;
  
  void addOnMapLoadedListener(AMap.OnMapLoadedListener paramOnMapLoadedListener) throws RemoteException;
  
  void addOnMapTouchListener(AMap.OnMapTouchListener paramOnMapTouchListener) throws RemoteException;
  
  void addOnMarkerClickListener(AMap.OnMarkerClickListener paramOnMarkerClickListener) throws RemoteException;
  
  void addOnPolylineClickListener(AMap.OnPolylineClickListener paramOnPolylineClickListener) throws RemoteException;
  
  void addOnPOIClickListener(AMap.OnPOIClickListener paramOnPOIClickListener) throws RemoteException;
  
  void addOnMapLongClickListener(AMap.OnMapLongClickListener paramOnMapLongClickListener) throws RemoteException;
  
  void addOnInfoWindowClickListener(AMap.OnInfoWindowClickListener paramOnInfoWindowClickListener) throws RemoteException;
  
  void addOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) throws RemoteException;
  
  void addOnMyLocationChangeListener(AMap.OnMyLocationChangeListener paramOnMyLocationChangeListener) throws RemoteException;
  
  void removeOnCameraChangeListener(AMap.OnCameraChangeListener paramOnCameraChangeListener) throws RemoteException;
  
  void removeOnMapClickListener(AMap.OnMapClickListener paramOnMapClickListener) throws RemoteException;
  
  void removeOnMarkerDragListener(AMap.OnMarkerDragListener paramOnMarkerDragListener) throws RemoteException;
  
  void removeOnMapLoadedListener(AMap.OnMapLoadedListener paramOnMapLoadedListener) throws RemoteException;
  
  void removeOnMapTouchListener(AMap.OnMapTouchListener paramOnMapTouchListener) throws RemoteException;
  
  void removeOnMarkerClickListener(AMap.OnMarkerClickListener paramOnMarkerClickListener) throws RemoteException;
  
  void removeOnPolylineClickListener(AMap.OnPolylineClickListener paramOnPolylineClickListener) throws RemoteException;
  
  void removeOnPOIClickListener(AMap.OnPOIClickListener paramOnPOIClickListener) throws RemoteException;
  
  void removeOnMapLongClickListener(AMap.OnMapLongClickListener paramOnMapLongClickListener) throws RemoteException;
  
  void removeOnInfoWindowClickListener(AMap.OnInfoWindowClickListener paramOnInfoWindowClickListener) throws RemoteException;
  
  void removeOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) throws RemoteException;
  
  void removeOnMyLocationChangeListener(AMap.OnMyLocationChangeListener paramOnMyLocationChangeListener) throws RemoteException;
  
  void addAMapAppResourceListener(AMap.AMapAppResourceRequestListener paramAMapAppResourceRequestListener);
  
  void removeAMapAppResourceListener(AMap.AMapAppResourceRequestListener paramAMapAppResourceRequestListener);
  
  int hideBuildings(List<LatLng> paramList);
  
  void showHideBuildings(int paramInt);
  
  void addSignleClickInterceptorListener(AMap.SignleClickInterceptorListener paramSignleClickInterceptorListener);
  
  void removeSignleClickInterceptorListener(AMap.SignleClickInterceptorListener paramSignleClickInterceptorListener);
  
  void addPoiFilter(PoiFilter paramPoiFilter);
  
  void removePoiFilter(String paramString);
  
  void clearPoiFilter();
  
  LatLngBounds getOverlayBoundRect(String paramString);
  
  void setMapOptRecordState(boolean paramBoolean);
  
  void setCustomScreenDensity(float paramFloat);
}
